IsoSpec::DirtyAllocator(3)

NAME
IsoSpec::DirtyAllocator

SYNOPSIS

  Public Member Functions

DirtyAllocator (const int dim, const int tabSize=10000)
DirtyAllocator (const DirtyAllocator &other)=delete
DirtyAllocator & operator= (const DirtyAllocator &other)=delete
void shiftTables ()
void * newConf ()

Detailed Description

Definition at line 25 of file dirtyAllocator.h.

Constructor & Destructor Documentation

  IsoSpec::DirtyAllocator::DirtyAllocator (const int dim, const int tabSize = 10000) [explicit]

Definition at line 24 of file dirtyAllocator.cpp.

  IsoSpec::DirtyAllocator::~DirtyAllocator ()

Definition at line 40 of file dirtyAllocator.cpp.

Member Function Documentation

  void * IsoSpec::DirtyAllocator::newConf () [inline]

Definition at line 44 of file dirtyAllocator.h.

  void IsoSpec::DirtyAllocator::shiftTables ()

Definition at line 46 of file dirtyAllocator.cpp.

Author

Generated automatically by Doxygen for IsoSpec from the source code.